import UIKit
import Flutter
import flutter_downloader
import flutter_background_service

@UIApplicationMain
@objc class AppDelegate: FlutterAppDelegate {
	override func application(_ application: UIApplication, didFinishLaunchingWithOptions launchOptions: [UIApplication.LaunchOptionsKey: Any]?) -> Bool {
		AppDelegate.registerPlugins(with: self)
		FlutterDownloaderPlugin.setPluginRegistrantCallback { registry in
			if (!registry.hasPlugin("FlutterDownloaderPlugin")) {
				FlutterDownloaderPlugin.register(with: registry.registrar(forPlugin: "FlutterDownloaderPlugin")!)
			}
		}
		SwiftFlutterBackgroundServicePlugin.setPluginRegistrantCallback { registry in
			AppDelegate.registerPlugins(with: registry)
		}
		
		return super.application(application, didFinishLaunchingWithOptions: launchOptions)
	}
	
	static func registerPlugins(with registry: FlutterPluginRegistry) {
		GeneratedPluginRegistrant.register(with: registry)
	}
}
